Sys::Syscall(3)

NAME
Sys::Syscall - access system calls that Perl doesn't normally provide access to

SYNOPSIS
  use Sys::Syscall;

DESCRIPTION
Use epoll, sendfile, from Perl. Mostly Linux-only support now, but more syscalls/OSes planned for future.

Exports
Nothing by default.

May export: sendfile epoll_ctl epoll_create epoll_wait EPOLLIN EPOLLOUT EPOLLERR EPOLLHUP EPOLL_CTL_ADD EPOLL_CTL_DEL EPOLL_CTL_MOD

Export tags: :epoll and :sendfile

Functions

  epoll support

$ok = epoll_defined()
    Returns true if epoll might be available. (caller must still test with epoll_create)

$epfd = epoll_create([ $start_size ])
    Create a new epoll filedescriptor. Returns -1 if epoll isn't available.

$rv = epoll_ctl($epfd, $op, $fd, $events)
    See manpage for epoll_ctl

$count = epoll_wait($epfd, $max_events, $timeout, $arrayref)
    See manpage for epoll_wait. $arrayref is an arrayref to be modified with the items returned. The values put into $arrayref are arrayrefs of [$fd, $state].

  sendfile support

$ok = sendfile_defined()
    Returns true if sendfile should work on this operating system.

$sent = sendfile($sock_fd, $file_fd, $max_send)
    Sends up to $max_send bytes from $file_fd to $sock_fd. Returns bytes actually sent, or -1 on error.

COPYRIGHT
This module is Copyright (c) 2005, 2006 Six Apart, Ltd.

All rights reserved.

You may distribute under the terms of either the GNU General Public License or the Artistic License, as specified in the Perl README file. If you need more liberal licensing terms, please contact the maintainer.

WARRANTY
This is free software. IT COMES WITHOUT WARRANTY OF ANY KIND.

AUTHORS
Brad Fitzpatrick <brad@danga.com>